import { MatIconRegistry } from '@angular/material/icon';
import { DomSanitizer } from '@angular/platform-browser';
import { CustomIconNames, CustomIconVariations } from './icon.type';
import { ThemeService } from 'asksuite-citrus';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CustomIconsRegisterService {
    private matIconRegistry;
    private domSanitizer;
    private theme;
    constructor(matIconRegistry: MatIconRegistry, domSanitizer: DomSanitizer, theme: ThemeService);
    register(): void;
    getIcon$(name: CustomIconNames, variations: CustomIconVariations): Observable<string>;
    hasIcon(name: string): boolean;
    private getIconSrcs;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomIconsRegisterService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CustomIconsRegisterService>;
}
