import { LoggerStrategy } from '../interfaces/logger-strategy.interface';
export declare class ConsoleLoggerStrategy<T extends string = string> implements LoggerStrategy<T> {
    log(event: T, data?: any): void;
    error(event: T, data?: any): void;
    debug(event: T, data?: any): void;
    info(event: T, data?: any): void;
    warn(event: T, data?: any): void;
}
