import { NgZone } from '@angular/core';
import { LoggerConfig } from '../types/logger.type';
import { OverridedMixpanel } from 'mixpanel-browser';
import { LogsPublicApi } from '@datadog/browser-logs/cjs/boot/logsPublicApi';
import { LoggerService } from '../services/logger.service';
export declare function loggerServiceFactory(ngZone: NgZone, config: LoggerConfig, mixpanel: OverridedMixpanel, datadog: LogsPublicApi): LoggerService;
