import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ButtonV2Component {
    private cd;
    private readonly _defaultSize;
    protected _disabled: boolean;
    protected iconOnlyButton: boolean;
    private sizeableComps?;
    private contentWrapper;
    size: 'smallest' | 'small' | 'medium' | 'large' | 'larger';
    shape: 'rounded' | 'square';
    appearance: 'brand' | 'opaque' | 'opaque-inverse' | 'transparent' | 'transparent-inverse' | 'outline' | 'outline-inverse';
    set disabled(value: boolean);
    selected: boolean;
    wide: boolean;
    styles: {
        [style: string]: any;
    };
    onClick: EventEmitter<MouseEvent>;
    onFocus: EventEmitter<FocusEvent>;
    onBlur: EventEmitter<FocusEvent>;
    get buttonClasses(): string[];
    constructor(cd: ChangeDetectorRef);
    ngAfterContentInit(): void;
    private setIconOnly;
    private updateChilds;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonV2Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonV2Component, "ask-button-v2", never, { "size": { "alias": "size"; "required": false; }; "shape": { "alias": "shape"; "required": false; }; "appearance": { "alias": "appearance"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; "wide": { "alias": "wide"; "required": false; }; "styles": { "alias": "styles"; "required": false; }; }, { "onClick": "onClick"; "onFocus": "onFocus"; "onBlur": "onBlur"; }, ["sizeableComps"], ["*"], true, never>;
}
